Subject: Re: missing files from winsup
From: [email-masked] (Mumit Khan)

24 Aug 1998 02:54:46 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: Mumit Khan <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Anang Syarifudin <[email-masked]>
Cc: [email-masked]

On Thu, 20 Aug 1998, Anang Syarifudin wrote:

> Greetings,
> 
> I've downloaded winsup-b19.1.tar.gz from cygnus's ftp, then i ./configure
> and i got error can not find install-sh or install.sh in . ./.. ./../..
> I tried to download from ftp.franken.de i got same error.
> Then i tried to apply patch form sergey's mixed-case.diff i got some
> rejected files. I copied install.sh from other place, but it didn't work
> either.
> 
> Somebody tell me what i missed
> 

You didn't really miss anything, it's just that the winsup sources are
meant to be unpacked into a pre-existing tree where all the other support
files are. The bare minimum you need are the following (preferably from
the B19 source tree):
  
  <top_level>/
    [files such as install-sh, configure, etc]
    config/
    include/
    libiberty/
    newlib/
    winsup/

I won't know what else is missing from this list above until I actually 
try it (which I don't indent on doing since I have complete source tree 
locally here). You can skip newlib by pointing to the installed headers 
(need to modify the Makefile and take out -nostdinc and -nostdinc++).

Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".